commit 44d28c67b484fe3be7b693108fc03cbe6aa05329
Author: Jakub Jelinek <jakub@redhat.com>
Date:   Wed Jan 26 11:58:27 2022

    testsuite: Fix up pr104188.c testcase for i686-linux [PR104188]
    
    On i686-linux this new testcase FAILs with:
    cc1: warning: SSE instruction set disabled, using 387 arithmetics
    FAIL: gcc.target/i386/pr104188.c (test for excess errors)
    Excess errors:
    cc1: warning: SSE instruction set disabled, using 387 arithmetics
    This is because it uses -mfpmath=sse, but -msse2 isn't on.  Fixed
    by adding -msse2 to dg-options and requiring sse2_runtime effective
    target.
    
    2022-01-26  Jakub Jelinek  <jakub@redhat.com>
    
            PR target/104188
            * gcc.target/i386/pr104188.c: Add dg-require-effective-target
            sse2_runtime.  Add -msse2 to dg-options.
    
    (cherry picked from commit 192e4a9fa0880ef153631d5b0de864bc4bbb6a91)

diff --git a/gcc/testsuite/gcc.target/i386/pr104188.c b/gcc/testsuite/gcc.target/i386/pr104188.c
index c6f615b9625..3ddd3bc79b9 100644
--- a/gcc/testsuite/gcc.target/i386/pr104188.c
+++ b/gcc/testsuite/gcc.target/i386/pr104188.c
@@ -1,5 +1,6 @@
 /* { dg-do run { target avx512f } } */
-/* { dg-options "-O2 -mfpmath=sse" } */
+/* { dg-require-effective-target sse2_runtime } */
+/* { dg-options "-O2 -msse2 -mfpmath=sse" } */
 
 #include <x86intrin.h>
 

